From 343836f39323d7dd8b3ac6c55e4abf0f0937ec4d Mon Sep 17 00:00:00 2001
Message-Id: <343836f39323d7dd8b3ac6c55e4abf0f0937ec4d.1716484788.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Thu, 23 May 2024 17:03:34 +0000
Subject: [PATCH] gnu: bwa: Update to 0.7.18.

* gnu/packages/bioinformatics.scm (bwa): Update to 0.7.18.

Change-Id: I63dd0f13f337fbf84967f1ef1b6332ce3391ae97
---
 gnu/packages/bioinformatics.scm | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index b7e8e54de2..a9a63f30d1 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -26,6 +26,7 @@
 ;;; Copyright © 2022, 2023 Navid Afkhami <navid.afkhami@mdc-berlin.de>
 ;;; Copyright © 2022 Antero Mejr <antero@mailbox.org>
 ;;; Copyright © 2024 Alexis Simon <alexis.simon@runbox.com>
+;;; Copyright © 2024 Spencer King <spencer.king@geneoscopy.com>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -4126,15 +4127,16 @@ (define-public tophat
 (define-public bwa
   (package
     (name "bwa")
-    (version "0.7.17")
+    (version "0.7.18")
     (source (origin
-              (method url-fetch)
-              (uri (string-append
-                    "https://github.com/lh3/bwa/releases/download/v"
-                    version "/bwa-" version ".tar.bz2"))
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/lh3/bwa")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
               (sha256
                (base32
-                "1zfhv2zg9v1icdlq4p9ssc8k01mca5d1bd87w71py2swfi74s6yy"))))
+                "1vf3iwkzxqkzhcfz2q3qyvcv3jrvbb012qy21pfgjl8lv20ywfr1"))))
     (build-system gnu-build-system)
     (arguments
      '(#:tests? #f ;no "check" target
@@ -4152,12 +4154,10 @@ (define-public bwa
                (install-file "libbwa.a" lib)
                (install-file "README.md" doc)
                (install-file "bwa.1" man))))
-           ;; no "configure" script
-          (delete 'configure))))
+         ;; no "configure" script
+         (delete 'configure))))
     (inputs (list zlib))
-    ;; Non-portable SSE instructions are used so building fails on platforms
-    ;; other than x86_64.
-    (supported-systems '("x86_64-linux"))
+    (supported-systems '("x86_64-linux" "aarch64-linux"))
     (home-page "https://bio-bwa.sourceforge.net/")
     (synopsis "Burrows-Wheeler sequence aligner")
     (description

base-commit: c3fe248e6987025c7d4ffdb6da0a3fc77f5a3f39
-- 
2.34.1

